Copyright: TimoShell Copyright ® 1996 Timo Kotilahti


INSTRUCTIONS FOR USERS OF TIMOSHELL

What is TimoShell?

How can I do required initial settings?

How can I edit the menu?

How to use the menu?

Shareware License agreement


What is TimoShell?

TimoShell for Windows is a  menuprogram, that was made initially for use as a user interface for a  materials testing machine. There can be many other uses for it...

Main features of TimoShell are:

-easy to setup menus for Windows- and DOS-programs

-unlimited number of menu pages

-possibility to set short menu passwords

-user level to prevent changing configurations

-descriptive button texts and help texts

-possibility to use hot-keys

-menus are very easy to use

Operation tip for moderator:

1.  Set up required menus, help texts, button texts styles (and

            maybe passwords, but remember them)

2. Be sure it all works, use test button.

3. Set TimoShell to USER LEVEL and take a copy of TSHELLI.INI-file.

4. Tell users: Hi!, You just push these buttons, OK?

5. Because TimoShell helps you, remember...

Back to contents


TimoShell files and setup
TimoShell consist of following files:

TSHELLI.EXE is a program file *

TSHELLI.INI is an initial settings file (to Windows main directory)

TSHELLI.HLP is this helpfile *

TSHELLI.BMP is a "logo picture" *

README.TXT is a short introduction to TimoShell

Additionally  file named  VBRUN300.DLL. must be in Windows directory.

Installation:

Copy all star (*) signed TSHELLI-files to same directory and TSHELLI.INI  to Windows directory.

Start program (TSHELLI.EXE).

By clicking Edit Menu-button you can change programs in menu.

With Setup-button you can change program button text style and size and menu background color.

Setup and menu editing can be disabled (USER LEVEL). If you can't see Setup- and Edit Menu -buttons, you are on USER LEVEL now!

After finishing the menu - just  use!

Back to contents


Editing TSHELLI.INI
 Editing TSHELLI.INI-file to set programs into menu

From  Edit Menu and Setup windows you can directly change the settings defined in TSHELLI.INI-file. TimoShell writes new values to TSHELLI.INI-file.

Some explanations:

First row in TSHELLI.INI file must always be:

[TimoShell]

Edit-line names the editor you use with INI-icon (not shown in USER LEVEL):

      Example:Edit="notepad.exe tshell.ini"

Title?-lines change the caption in top bar of menu pages:

      Example: Title1= Strength tests for students

Applications are defined as App? (application), Apn? (menu name for application), Aph? (help text for application), Apd? (default directory for application, changes before shelling) and Aps? (application style: normal, minimised, maximised)

Applications 1-16 are on first page 17-32 on second and so on.

App16=e:\vb1win\koenop\koenop.exe

Apn16=Test speed calculation

Aph16=Calculates the proper test speed with values from one test

Then there are lines Aps?, Apd?, MenuTextFont, Rights, etc..

Back to contents


Operating instructions of menu
 This way you can use TimoShell menu!

Menu page list

Command buttons

STOP icon

SAVE icon

? icon

And of course, if you are using  TimoShell on moderator level, you can push Setup and Edit Menu buttons. Then you probably have enough knowledge to change the menus without further help...

Back to contents


Clicking Save-icon copies the picture from Windows Clipboard to a file as a Windows bitmap (BMP-file). You can name the file. Use first the PrtSC-button in your TimoShell started application, come back to menu with Alt-TAB-combination and copy the clipboard to picture file. This is easy way to copy screens from DOS-programs to Windows.


Clicking Stop-icon exits immediately TimoShell. If there are any TimoShell started programs running, you must separately exit them as you normally do.


Grey (or whatever your button color is) buttons start the programs assigned to them in TSHELLI.INI-file. Single click is enough to start. Dragging from ?-icon to button shows button help if any.


Top bar of the program window shows the name from the current menu page. If other pages exist, select the one you want from the title list.


Clicking ?-icon starts this help!

Pushing left mouse button down on ?-icon changes cursor to a cross. Drag it to any grey button and you get the button's help text (assigned in TSHELLI.INI).


If your program is not on 1st menu page, then select other page from list. If there is a password assigned to menu page, you must know it when changing!


Shareware license agreement

TIMOSHELL SHAREWARE

LICENSE AGREEMENT

AND LIMITED WARRANTY

Copyright                     Back to contents

This software (TimoShell) is owned by Timo Kotilahti and is fully protected by national and international copyright laws.

Shareware

This software is provided as shareware. You are encouraged to give a copy of it to everyone and distribute it through all shareware medias as long as you include all files that are part of TimoShell (see also README.TXT about distributing as a package).

You are not allowed to sell this program.

Any business-related efforts to distribute or use this program must be negotiated with me.

If you find TimoShell useful, please send me a reasonable contribution (money or software).

WARRANTY

The shareware program TimoShell is provided  "AS-IS" and WITHOUT WARRANTY OF ANY KIND.

IN NO EVENT SHALL I BE LIABLE FOR ANY INCIDENTAL, CONSEQUENTIAL, OR PUNITIVE DAMAGES WHATSOEVER ARISING OUT OF USE OF THE PROGRAM OR YOUR RELATIONSHIP WITH ME.

Back to contents


Please make contributions!
 MY ADDRESS:

Timo Kotilahti

Laboratory of Wood Technology

Helsinki University of Technology

Puumiehenkuja 2 B

02150 ESPOO

FINLAND

Please send me reasonable contributions (money or software) and I will try to make TimoShell even better (more speed, better help and more customisation).

Specially business and organisational users please remember this!!


Menuprogram
Menuprogram starts other programs.


TSHELLI.EXE is
TSHELLI.EXE is a program file made with VisualBasic 3.0.


TSHELLI.INI is
TSHELLI.INI is an initialisation file with menu definitions. It is modified and read by TimoShell, so keep it in your Windows-directory! IT IS THE HEART OF TimoShell, so never, never remove it! Included is a sample file.


TSHELLI.HLP is
TSHELLI.HLP is a Windows 3.1 help file operated by WINHELP.EXE.


TSHELLI.BMP is
TSHELLI.BMP is a picture file showing in left part of menu. Its' size is about 136x170 pixels. Included is a sample file, but you can edit your own with Painbrush.  TSHELLI.BMP is not required to operate TimoShell.


VBRUN300.DLL is
VBRUN300.DLL is the runtime library for VisualBasic 3.0. You must have it to use programs made with VB.


WHY DO YOU NEED TIMOSHELL?

Suggested uses for this program

If  you have a moderate knowledge on computers and using programs and you only use your own personal computer, then you probably don't need TimoShell!

One possible use is for starting wordprocessing program with different files or database program with different customer databases, that might be useful even for a single user.

If there are several people using some program or  several programs on just one  computer, then TimoShell is something.

It all started from a problem, how students could easily use programs for a materials testing machine. We had about 20 students using the machine. For different tests we had 16 different parameter files, each with a less descriptive name like D52188KO.PAR. Additionally we are making both student and researcher versions of all the files. To put the programs in menu gives many benefits:

-programs can have descriptive names

-all necessary programs are easily found

-no doubleclick  needed

-you can get a short help text before starting program

-erratical access to wrong menus can be restricted with passwords

-users don't have to understand english

-if problems occur, they are easy to trail

Back to Contents